# Record Class CAMediaTypeMatch

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAMediaTypeMatch

Record Components:
  `expression` - The expression

public record CAMediaTypeMatch(CAComparisonFuzzyType<String> expression) extends Record
A wrapper for a fuzzy comparison.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAMediaTypeMatch(CAComparisonFuzzyType<String> expression)`
  A wrapper for a fuzzy comparison.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `CAComparisonFuzzyType<String>`
  `expression()`
  Returns the value of the `expression` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAMediaTypeMatch

    public CAMediaTypeMatch(CAComparisonFuzzyType<String> expression)
    A wrapper for a fuzzy comparison.
    Parameters:
      `expression` - The expression

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### expression

    public CAComparisonFuzzyType<String> expression()
    Returns the value of the `expression` record component.
    Returns:
      the value of the `expression` record component